### Type parameters

### Hierarchy

- DataSourceOptions

## Index

### Properties

- attributes
- dimensionsFiltersConfig
- id
- identifierAttribute
- inRange
- maxResolution
- minResolution
- name
- visible

## Properties

### attributes

attributes: Attribute[]

- Defined in src/datasource/DataSource.js:30

The attributes of the data source.

### dimensionsFiltersConfig

dimensionsFiltersConfig: Object

- Defined in src/datasource/DataSource.js:32

The dimensions filters configuration, which determines dimensions supported by this data source using filters and give the corresponding field and whether they should use a static value or the one defined in the dimensions.

### id

id: number

- Defined in src/datasource/DataSource.js:36

The data source id.

### identifierAttribute

identifierAttribute: string

- Defined in src/datasource/DataSource.js:37

The name of an attribute among the attributes of the data source. The value of that attribute, in records, can be used to identify each record individually.

### inRange

inRange: boolean

- Defined in src/datasource/DataSource.js:39

A data source is considered 'in range' when it is synchronized to a map view and the resolution of that view is within the range of the `maxResolution` and `minResolution`. These 2 properties are required for the `inRange` property to be dynamic, otherwise its value is always `true` by default.

### maxResolution

maxResolution: number

- Defined in src/datasource/DataSource.js:44

Maximum resolution where the data source can be displayed or queried.

### minResolution

minResolution: number

- Defined in src/datasource/DataSource.js:43

Minimum resolution where the data source can be displayed or queried.

### name

name: string

- Defined in src/datasource/DataSource.js:45

A human-readable name for the data source.

### visible

visible: boolean

- Defined in src/datasource/DataSource.js:46

Whether the data source is visible or not, i.e. whether its is ON or OFF.

Generated using TypeDoc